Open Job Material Lines
The open job material lines resource.
Basehttps://rest.carbon.ms/openJobMaterialLines
GET
/openJobMaterialLinesList open job material liness
Retrieve a paginated list of open job material liness. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/openJobMaterialLines
curl --request GET \
--url 'https://rest.carbon.ms/openJobMaterialLines?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"jobId": "xyz789",
"parentMaterialId": "xyz789",
"jobMakeMethodId": "xyz789",
"jobReadableId": "xyz789",
"itemId": "xyz789",
"quantityToIssue": 10,
"unitOfMeasureCode": "string"
}
]GET
/openJobMaterialLinesRetrieve a open job material lines
Fetch a single open job material lines by filtering on `id`.
Query parameters
idstringMatch on the open job material lines's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/openJobMaterialLines
curl --request GET \
--url 'https://rest.carbon.ms/openJobMaterialLines?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"jobId": "xyz789",
"parentMaterialId": "xyz789",
"jobMakeMethodId": "xyz789",
"jobReadableId": "xyz789",
"itemId": "xyz789",
"quantityToIssue": 10,
"unitOfMeasureCode": "string"
}